For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

List Users

get

Return a list of all Users.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

User response object

application/json
get/api/v1/users
GET /api/v1/users HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "id": "fb691e09-a185-4033-a91c-817d68b1b115",
    "given_name": "Jerry",
    "family_name": "McGuire",
    "email": "no-reply@netography.com",
    "nickname": "Skippy",
    "picture": "https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png",
    "roles": [
      "app_admin"
    ]
  }
}

Create User

post

Create a User from the supplied object. Do NOT submit an ID. IDs are auto generated and immutable. Note: This API is rate limited to 50 requests per 300 seconds.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
given_namestringRequired

First or Given name of the user

Example: Jerry
family_namestringRequired

Last or Family name of the user

Example: McGuire
emailstringRequired

User's email. This is the main identifier and cannot be changed.

Example: no-reply@netography.com
nicknameanyOptional

User's nickname. Optional

Example: Skippy
pictureanyOptional

HTTPS URL to a user's profile picture. Optional

Example: https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png
rolesstring[]Required

An array containing strings which include the role name the user should be assigned to.

Example: ["admin"]
Responses
201

User response object

application/json
post/api/v1/user
POST /api/v1/user HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 213

{
  "given_name": "Jerry",
  "family_name": "McGuire",
  "email": "no-reply@netography.com",
  "nickname": "Skippy",
  "picture": "https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png",
  "roles": [
    "admin"
  ]
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "id": "fb691e09-a185-4033-a91c-817d68b1b115",
    "given_name": "Jerry",
    "family_name": "McGuire",
    "email": "no-reply@netography.com",
    "nickname": "Skippy",
    "picture": "https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png",
    "roles": [
      "app_admin"
    ]
  }
}

Get User

get

Fetches a specific User from the ID supplied in the path.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

String ID of the user to get

Responses
200

User response object

application/json
get/api/v1/user/{id}
GET /api/v1/user/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "id": "fb691e09-a185-4033-a91c-817d68b1b115",
    "given_name": "Jerry",
    "family_name": "McGuire",
    "email": "no-reply@netography.com",
    "nickname": "Skippy",
    "picture": "https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png",
    "roles": [
      "app_admin"
    ]
  }
}

Update User

put

Update a User given the provided object. This does not do a diff. You must send the complete object.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the User to be updated

Body
given_namestringRequired

First or Given name of the user

Example: Jerry
family_namestringRequired

Last or Family name of the user

Example: McGuire
emailstringRequired

User's email. This is the main identifier and cannot be changed.

Example: no-reply@netography.com
nicknameanyOptional

User's nickname. Optional

Example: Skippy
pictureanyOptional

HTTPS URL to a user's profile picture. Optional

Example: https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png
rolesstring[]Required

An array containing strings which include the role name the user should be assigned to.

Example: ["admin"]
Responses
200

User response object

application/json
put/api/v1/user/{id}
PUT /api/v1/user/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 213

{
  "given_name": "Jerry",
  "family_name": "McGuire",
  "email": "no-reply@netography.com",
  "nickname": "Skippy",
  "picture": "https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png",
  "roles": [
    "admin"
  ]
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "id": "fb691e09-a185-4033-a91c-817d68b1b115",
    "given_name": "Jerry",
    "family_name": "McGuire",
    "email": "no-reply@netography.com",
    "nickname": "Skippy",
    "picture": "https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png",
    "roles": [
      "app_admin"
    ]
  }
}

Delete User

delete

Deletes the User.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the User to be retrieved

Responses
204

An empty array

No content

delete/api/v1/user/{id}
DELETE /api/v1/user/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated